Skip to main content
GET
Get cron job details

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
Minimum string length: 1

Query Parameters

includeStats
boolean
default:true
includeRecentExecutions
integer
default:10
Required range: 0 <= x <= 50

Response

Successful response

id
string
required
name
string
required
description
string | null
required
schedule
enum<string>
required
Available options:
5m,
10m,
15m,
30m,
1h,
2h,
4h,
6h,
12h,
1d,
1w
isActive
boolean
required
organizationId
string
required
createdById
string | null
required
lastExecutionAt
string | null
required
nextExecutionAt
string | null
required
createdAt
string
required
updatedAt
string
required
code
string
required
executionStats
object
required
variableCount
integer
required
recentExecutions
object[]
required
metadata
unknown